%define name		p2psockets
%define version		1.1.4
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	A reimplementation of standard Java sockets on top of JXTA
Url:		http://p2psockets.jxta.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Apache 1.1 -style License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://p2psockets.jxta.org/releases/unstable/p2psockets-1_1_4.zip
Source1:	jxta_license.txt
Patch0:		p2psockets-1_1_4-build_xml.patch

BuildRequires:	jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	ant-contrib
BuildRequires:	java-devel >= 0:1.4
BuildRequires:	junit

BuildRequires:	bouncycastle-jdk1.4
BuildRequires:	cryptix
BuildRequires:	cryptix-asn1
BuildRequires:	gnu.regexp
BuildRequires:	jakarta-commons-httpclient
BuildRequires:	jakarta-commons-logging
BuildRequires:	jasper4
BuildRequires:	jaxen
BuildRequires:	jdom
BuildRequires:	jetty4
BuildRequires:	jmx
BuildRequires:	jxta
BuildRequires:	log4j
BuildRequires:	servletapi4
BuildRequires:	xerces-j2
BuildRequires:	xmlrpc
BuildRequires:	xml-commons-apis
Requires:	java >= 0:1.4
Requires:	bouncycastle-jdk1.4
Requires:	cryptix
Requires:	cryptix-asn1
Requires:	gnu.regexp
Requires:	jakarta-commons-httpclient
Requires:	jakarta-commons-logging
Requires:	jasper4
Requires:	jaxen
Requires:	jdom
Requires:	jetty4
Requires:	jmx
Requires:	jxta
Requires:	log4j
Requires:	servletapi4
Requires:	xerces-j2
Requires:	xmlrpc
Requires:	xml-commons-apis
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
P2P Sockets makes it easy to write peer-to-peer 
applications based on JXTA. P2P Sockets allows 
programmers to gain much of the power of JXTA, such 
as NAT and firewall traversal, without being exposed 
to its complexity. It does this through ports of 
popular software projects, such as a web server and 
web services stack, to work on the JXTA peer-to-peer 
network. This includes a web server (Jetty) that can 
receive requests and serve content over the peer-to-peer 
network; a servlet and JSP engine (Jetty and Jasper) that 
allows existing servlets and JSPs to serve P2P clients; 
an XML-RPC client and server (Apache XML-RPC) for 
accessing and exposing P2P XML-RPC endpoints; an HTTP/1.1 
client (Apache Commons HTTP-Client) that can access P2P 
web servers; a gateway (Smart Cache) to make it possible 
for existing browsers to access P2P web sites; and a 
WikiWiki (JSPWiki) that can be used to host WikiWikis on 
your local machine that other peers can access and edit 
through the P2P network. P2P Sockets also introduces 
implementations of java.net.Socket and 
java.net.ServerSocket that can work on the JXTA network 
as well as a simple, light-weight, distributed, 
human-friendly, and non-secure DNS system. 


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
Documents for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *
cp %{SOURCE1} jxta_license.txt
find . -name "*.jar" -exec rm {} \;

%patch0 -b .sav

%build
pushd lib
ln -sf $(build-classpath ant-contrib) .
ln -sf $(build-classpath ant) .
ln -sf $(build-classpath xmlrpc) .
ln -sf $(build-classpath bouncycastle/bcprov) .
ln -sf $(build-classpath commons-httpclient) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath cryptix) .
ln -sf $(build-classpath cryptix-asn1) .
ln -sf $(build-classpath gnu.regexp) .
ln -sf $(build-classpath jasper4-compiler) .
ln -sf $(build-classpath jasper4-runtime) .
ln -sf $(build-classpath servletapi4) .
ln -sf $(build-classpath jaxen) .
ln -sf $(build-classpath jsse) .
ln -sf $(build-classpath jdom) .
ln -sf $(build-classpath jmxri) .
ln -sf $(build-classpath jmxtools) .
#jnet.jar
#jogg-0.0.5.jar
#jorbis-0.0.12.jar
ln -sf $(build-classpath junit) .
#jxtacms.jar
ln -sf $(build-classpath jxtaSwing) .
ln -sf $(build-classpath jxtaext) .
ln -sf $(build-classpath jxta) .
#jxtaptls.jar
#jxtasecurity.jar
#jxtashell.jar
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath jetty4) .
#p2psockets-ant-custom.jar
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis) .
popd
export p2psockets_home=$(pwd)
export OPT_JAR_LIST="ant-contrib"
ant build jar javadoc 


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 dist/lib/%{name}-apache-httpclient.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/apache-httpclient-%{version}.jar
install -m 644 dist/lib/%{name}-apache-xmlrpc.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/apache-xmlrpc-%{version}.jar
install -m 644 dist/lib/%{name}-core.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 dist/lib/%{name}-examples.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/examples-%{version}.jar
install -m 644 dist/lib/%{name}-jetty.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/jetty-%{version}.jar
install -m 644 dist/lib/%{name}-scache.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/scache-%{version}.jar
install -m 644 dist/lib/%{name}-tests.jar \
	$RPM_BUILD_ROOT%{_javadir}/%{name}/tests-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 jxta_license.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr www/docs/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf www/docs/javadoc

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr www/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%{_docdir}/%{name}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-1jpp
- First release

